# Uses of Class
javax.crypto.KeyAgreement

Packages that use KeyAgreement
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of KeyAgreement in javax.crypto

Methods in javax.crypto that return KeyAgreement
Modifier and Type
Method
Description
`static KeyAgreement`
KeyAgreement.`getInstance​(String algorithm)`
Returns a `KeyAgreement` object that implements the specified key agreement algorithm.
`static KeyAgreement`
KeyAgreement.`getInstance​(String algorithm, String provider)`
Returns a `KeyAgreement` object that implements the specified key agreement algorithm.
`static KeyAgreement`
KeyAgreement.`getInstance​(String algorithm, Provider provider)`
Returns a `KeyAgreement` object that implements the specified key agreement algorithm.